#pragma once
#include "DungeonBuilder.h"

namespace et{

	class DungeonBuilderA :
		public DungeonBuilder
	{
	protected:
		
		virtual void addParts(std::vector<et::VertexTypeDungeon>& vertices , int x , int y);
	public:
		DungeonBuilderA(mof::PixelMap& map , mof::TextureManager* pTextureManager , float scale);
		virtual ~DungeonBuilderA(void);
	};

	


};